Package ru.bitel.bgbilling.modules.voice.server.bean.operator

# Class Report

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.operator.Report

Direct Known Subclasses:
  `AbonentReport`, `SessionReport`, `SovintelReport`

    public abstract class Report
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.util.Map<java.lang.String,​net.sf.jasperreports.engine.JasperReport>` | `cache` |
  `protected static org.apache.logging.log4j.Logger` | `log` |
  `protected java.util.Date` | `month` |
  `protected Operator` | `oper` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Report​(Operator operator, java.util.Date month, int id)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract void` | `getData​(java.sql.Connection con, java.io.OutputStream out)` |
  `abstract java.lang.String` | `getFileName()` |
  `int` | `getId()` |
  `protected net.sf.jasperreports.engine.JasperReport` | `getJasperReport​(java.lang.String templatePath)` |
  `abstract java.lang.String` | `getTitle()` |
  `abstract int` | `getType()` |
  `protected void` | `sendJasperReport​(java.sql.Connection con, java.lang.String templatePath, java.io.OutputStream out)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### log

    protected static org.apache.logging.log4j.Logger log

  - ### oper

    protected Operator oper

  - ### month

    protected java.util.Date month

  - ### cache

    protected static java.util.Map<java.lang.String,​net.sf.jasperreports.engine.JasperReport> cache

- ## Constructor Details

  - ### Report

    public Report​(Operator operator, java.util.Date month, int id)

- ## Method Details

  - ### getId

    public int getId()

  - ### getTitle

    public abstract java.lang.String getTitle()

  - ### getFileName

    public abstract java.lang.String getFileName()

  - ### getType

    public abstract int getType()

  - ### getData

    public abstract void getData​(java.sql.Connection con, java.io.OutputStream out)

  - ### getJasperReport

    protected net.sf.jasperreports.engine.JasperReport getJasperReport​(java.lang.String templatePath) throws net.sf.jasperreports.engine.JRException
    Throws:
      `net.sf.jasperreports.engine.JRException`

  - ### sendJasperReport

    protected void sendJasperReport​(java.sql.Connection con, java.lang.String templatePath, java.io.OutputStream out)